Bug 814404 - DVB-S still broken for some cards when kernel is 3.3, works fine under kernel 3.2
Summary: DVB-S still broken for some cards when kernel is 3.3, works fine under kernel...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Mauro Carvalho Chehab
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-19 19:23 UTC by Michael Heijenga
Modified: 2013-07-04 22:59 UTC (History)
6 users (show)

Fixed In Version: kernel-2.6.43.5-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-13 01:50:07 UTC
Type: Bug


Attachments (Terms of Use)
Fix DVB-S sigzag (529 bytes, patch)
2012-05-07 17:45 UTC, Mauro Carvalho Chehab
no flags Details | Diff

Description Michael Heijenga 2012-04-19 19:23:48 UTC
Description of problem:

Bug 808871 - DVB-S is broken since kernel 3.3 
Some TV cards outside still not working with 3.3 but work with 3.2

How reproducible:
# uname -a
Linux fc1664 3.3.2-3.fc16.x86_64 #1 SMP Tue Apr 17 22:20:47 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Switch from one DVB-S channel to another, some channels are good, some still broken in video and sound. It is not DVB-S DVB-S2 mode switching I think, because the card is no DVB-S2 card. Bug 812895 - Bug in dvb driver modules when switching from DVB-S2 to DVB-S.

Steps to Reproduce:

1. boot the pc, dmesg:

[   11.952162] bttv: driver version 0.9.19 loaded
[   11.952164] bttv: using 8 buffers with 2080k (520 pages) each for capture
[   11.952197] bttv: Bt8xx card found (0)
[   11.952213] bttv: 0: Bt878 (rev 17) at 0000:04:00.0, irq: 16, latency: 64, mmio: 0xf8ffe000
[   11.952226] bttv: 0: detected: Pinnacle PCTV Sat [card=94], PCI subsystem ID is 11bd:001c
[   11.952227] bttv: 0: using: Pinnacle PCTV Sat [card=94,autodetected]
[   11.952275] bttv: 0: tuner absent
[   11.952311] bttv: 0: registered device video0
[   11.952340] bttv: 0: registered device vbi0
[   11.952359] bttv: 0: Setting PLL: 28636363 => 35468950 (needs up to 100ms)
...
[   11.974012] bttv: PLL set ok
[   11.974035] bttv: 0: add subdevice "dvb0"
[   11.974562] bt878: AUDIO driver version 0.0.0 loaded
[   11.974574] bt878: Bt878 AUDIO function found (0).
[   11.974581] bt878_probe: card id=[0x1c11bd],[ Pinnacle PCTV Sat ] has DVB functions.
[   11.974584] bt878(0): Bt878 (rev 17) at 04:00.1, irq: 16, latency: 64, memory: 0xf8fff000
...
[   11.982375] DVB: registering new adapter (bttv0)
...
[   11.988176] dvb_register_frontend
[   11.988178] DVB: registering adapter 0 frontend 0 (Conexant CX24110 DVB-S)...
[   11.988207] dvb_frontend_clear_cache() Clearing cache for delivery system 5

did this: https://bugzilla.redhat.com/show_bug.cgi?id=812895#c1
Then post here the dmesg before calling caffeine, ... done

2. start kaffeine and choose a 'good' channel

/var/log/messages
Apr 19 21:02:11 fc1664 kernel: [ 8932.707140] dvb_frontend_open
Apr 19 21:02:11 fc1664 kernel: [ 8932.707144] dvb_frontend_start
Apr 19 21:02:11 fc1664 kernel: [ 8932.707193] dvb_frontend_thread
Apr 19 21:02:11 fc1664 kernel: [ 8932.707195] DVB: initialising adapter 0 frontend 0 (Conexant CX24110 DVB-S)...
Apr 19 21:02:11 fc1664 kernel: [ 8932.707309] dvb_frontend_ioctl (66)
Apr 19 21:02:11 fc1664 kernel: [ 8932.707573] >
Apr 19 21:02:11 fc1664 kernel: [ 8932.723537] dvb_frontend_ioctl (67)
Apr 19 21:02:11 fc1664 kernel: [ 8932.724426] >
Apr 19 21:02:11 fc1664 kernel: [ 8932.739495] dvb_frontend_ioctl (63)
Apr 19 21:02:11 fc1664 kernel: [ 8932.739875] >
Apr 19 21:02:11 fc1664 kernel: [ 8932.740245] >
Apr 19 21:02:11 fc1664 kernel: [ 8932.740620] >
Apr 19 21:02:11 fc1664 kernel: [ 8932.740990] >
Apr 19 21:02:11 fc1664 kernel: [ 8932.742299] >
Apr 19 21:02:12 fc1664 kernel: [ 8932.858271] dvb_frontend_ioctl (65)
Apr 19 21:02:12 fc1664 kernel: [ 8932.859133] >
Apr 19 21:02:12 fc1664 kernel: [ 8932.859975] >
Apr 19 21:02:12 fc1664 kernel: [ 8932.927933] dvb_frontend_ioctl (66)
Apr 19 21:02:12 fc1664 kernel: [ 8932.928787] >
Apr 19 21:02:12 fc1664 kernel: [ 8932.928793] dvb_frontend_ioctl (76)
Apr 19 21:02:12 fc1664 kernel: [ 8932.928795] set_delivery_system() Using delivery system to 5
Apr 19 21:02:12 fc1664 kernel: [ 8932.928798] dtv_property_cache_sync() Preparing QPSK req
Apr 19 21:02:12 fc1664 kernel: [ 8932.928800] dtv_property_legacy_params_sync() Preparing QPSK req
Apr 19 21:02:12 fc1664 kernel: [ 8932.928802] dvb_frontend_add_event
Apr 19 21:02:12 fc1664 kernel: [ 8932.928815] dvb_frontend_swzigzag_autotune: drift:0 inversion:0 auto_step:0 auto_sub_step:0 started_auto_step:0
Apr 19 21:02:12 fc1664 kernel: [ 8932.929189] >
Apr 19 21:02:12 fc1664 kernel: [ 8933.080973] dvb_frontend_add_event
Apr 19 21:02:12 fc1664 kernel: [ 8933.083781] dtv_property_legacy_params_sync() Preparing QPSK req
Apr 19 21:02:12 fc1664 kernel: [ 8933.083784] dvb_frontend_swzigzag_update_delay
Apr 19 21:02:12 fc1664 kernel: [ 8933.128891] dvb_frontend_ioctl (69)
Apr 19 21:02:12 fc1664 kernel: [ 8933.649975] dvb_frontend_swzigzag_update_delay
Apr 19 21:02:13 fc1664 kernel: [ 8933.933965] dvb_frontend_swzigzag_update_delay
Apr 19 21:02:13 fc1664 kernel: [ 8934.062974] dvb_frontend_swzigzag_update_delay
Apr 19 21:02:13 fc1664 kernel: [ 8934.122964] dvb_frontend_swzigzag_update_delay
Apr 19 21:02:13 fc1664 kernel: [ 8934.174969] dvb_frontend_swzigzag_update_delay
Apr 19 21:02:13 fc1664 kernel: [ 8934.256967] dvb_frontend_swzigzag_update_delay

while video and sound are ok every second dvb_frontend logs
Apr 19 21:05:06 fc1664 kernel: [ 9107.396977] dvb_frontend_swzigzag_update_delay
all fine!

3. switch to a not working channel

Apr 19 21:06:06 fc1664 kernel: [ 9167.717406] dvb_frontend_release
Apr 19 21:06:06 fc1664 kernel: [ 9167.717446] dvb_frontend_open
Apr 19 21:06:06 fc1664 kernel: [ 9167.717448] dvb_frontend_start
Apr 19 21:06:06 fc1664 kernel: [ 9167.719160] dvb_frontend_thread
Apr 19 21:06:06 fc1664 kernel: [ 9167.719163] DVB: initialising adapter 0 frontend 0 (Conexant CX24110 DVB-S)...
Apr 19 21:06:06 fc1664 kernel: [ 9167.719326] dvb_frontend_ioctl (66)
...
Apr 19 21:06:07 fc1664 kernel: [ 9167.940189] dvb_frontend_ioctl (76)
Apr 19 21:06:07 fc1664 kernel: [ 9167.940192] set_delivery_system() Using delivery system to 5
Apr 19 21:06:07 fc1664 kernel: [ 9167.940195] dtv_property_cache_sync() Preparing QPSK req
Apr 19 21:06:07 fc1664 kernel: [ 9167.940197] dtv_property_legacy_params_sync() Preparing QPSK req
Apr 19 21:06:07 fc1664 kernel: [ 9167.940199] dvb_frontend_add_event
Apr 19 21:06:07 fc1664 kernel: [ 9167.940207] dvb_frontend_swzigzag_autotune: drift:0 inversion:0 auto_step:0 auto_sub_step:0 started_auto_step:0
Apr 19 21:06:07 fc1664 kernel: [ 9167.940583] >
...
Apr 19 21:06:07 fc1664 kernel: [ 9168.015962] dvb_frontend_add_event
Apr 19 21:06:07 fc1664 kernel: [ 9168.015967] dvb_frontend_swzigzag_autotune: drift:0 inversion:0 auto_step:1 auto_sub_step:0 started_auto_step:0
Apr 19 21:06:07 fc1664 kernel: [ 9168.016346] >
...

Apr 19 21:06:07 fc1664 kernel: [ 9168.040275] dvb_frontend_ioctl (69)
Apr 19 21:06:07 fc1664 kernel: [ 9168.040428] >
Apr 19 21:06:07 fc1664 kernel: [ 9168.040799] >
Apr 19 21:06:07 fc1664 kernel: [ 9168.090969] dvb_frontend_swzigzag_autotune: drift:0 inversion:0 auto_step:2 auto_sub_step:0 started_auto_step:0
Apr 19 21:06:07 fc1664 kernel: [ 9168.091347] >
...
Apr 19 21:06:07 fc1664 kernel: [ 9168.618972] dvb_frontend_swzigzag_autotune: drift:0 inversion:0 auto_step:9 auto_sub_step:0 started_auto_step:0
...
Apr 19 21:06:08 fc1664 kernel: [ 9168.918966] dvb_frontend_swzigzag_autotune: drift:0 inversion:0 auto_step:13 auto_sub_step:0 started_auto_step:0
...
Apr 19 21:06:18 fc1664 kernel: [ 9179.488975] dvb_frontend_swzigzag_autotune: drift:0 inversion:0 auto_step:153 auto_sub_step:0 started_auto_step:0
...

4. switch back to 'good' channel:

Apr 19 21:06:28 fc1664 kernel: [ 9189.416267] dvb_frontend_release
Apr 19 21:06:28 fc1664 kernel: [ 9189.416288] dvb_frontend_open
Apr 19 21:06:28 fc1664 kernel: [ 9189.416290] dvb_frontend_start
Apr 19 21:06:28 fc1664 kernel: [ 9189.416443] dvb_frontend_ioctl (66)
Apr 19 21:06:28 fc1664 kernel: [ 9189.416475] >
...Apr 19 21:06:28 fc1664 kernel: [ 9189.421648] dvb_frontend_ioctl (67)
Apr 19 21:06:28 fc1664 kernel: [ 9189.422491] >
Apr 19 21:06:28 fc1664 kernel: [ 9189.437570] dvb_frontend_ioctl (63)
Apr 19 21:06:28 fc1664 kernel: [ 9189.437956] >
Apr 19 21:06:28 fc1664 kernel: [ 9189.438332] >
Apr 19 21:06:28 fc1664 kernel: [ 9189.438706] >
Apr 19 21:06:28 fc1664 kernel: [ 9189.439081] >
Apr 19 21:06:28 fc1664 kernel: [ 9189.439921] >
Apr 19 21:06:28 fc1664 kernel: [ 9189.470894] >
Apr 19 21:06:28 fc1664 kernel: [ 9189.549779] dvb_frontend_add_event
Apr 19 21:06:28 fc1664 kernel: [ 9189.549782] dvb_frontend_swzigzag_update_delay
Apr 19 21:06:28 fc1664 kernel: [ 9189.563912] dvb_frontend_ioctl (65)
Apr 19 21:06:28 fc1664 kernel: [ 9189.564766] >
Apr 19 21:06:28 fc1664 kernel: [ 9189.565623] >
Apr 19 21:06:28 fc1664 kernel: [ 9189.633722] dvb_frontend_ioctl (66)
Apr 19 21:06:28 fc1664 kernel: [ 9189.634574] >
Apr 19 21:06:28 fc1664 kernel: [ 9189.634579] dvb_frontend_ioctl (76)
Apr 19 21:06:28 fc1664 kernel: [ 9189.634582] set_delivery_system() Using delivery system to 5
Apr 19 21:06:28 fc1664 kernel: [ 9189.634584] dtv_property_cache_sync() Preparing QPSK req
Apr 19 21:06:28 fc1664 kernel: [ 9189.634587] dtv_property_legacy_params_sync() Preparing QPSK req
Apr 19 21:06:28 fc1664 kernel: [ 9189.634589] dvb_frontend_add_event
Apr 19 21:06:28 fc1664 kernel: [ 9189.634599] dvb_frontend_swzigzag_autotune: drift:0 inversion:0 auto_step:0 auto_sub_step:0 started_auto_step:0
Apr 19 21:06:28 fc1664 kernel: [ 9189.634974] >
...
Apr 19 21:06:28 fc1664 kernel: [ 9189.734644] dvb_frontend_ioctl (69)
Apr 19 21:06:28 fc1664 kernel: [ 9189.734802] >
Apr 19 21:06:28 fc1664 kernel: [ 9189.735174] >
Apr 19 21:06:29 fc1664 kernel: [ 9189.785968] dvb_frontend_add_event
Apr 19 21:06:29 fc1664 kernel: [ 9189.788779] dtv_property_legacy_params_sync() Preparing QPSK req
Apr 19 21:06:29 fc1664 kernel: [ 9189.788783] dvb_frontend_swzigzag_update_delay
Apr 19 21:06:29 fc1664 kernel: [ 9189.834645] dvb_frontend_ioctl (69)
Apr 19 21:06:29 fc1664 kernel: [ 9190.354961] dvb_frontend_swzigzag_update_delay
Apr 19 21:06:29 fc1664 kernel: [ 9190.638980] dvb_frontend_swzigzag_update_delay

here DVB-S TV is fine


Actual results:
DVB-S not working with kernel 3.3, still works with kernel 3.2

Expected results:
DVB-S working with kernel 3.3

Additional info:
I'm not sure if this is helpfully bit i will try to go with your advice!

Michael

Comment 1 Michael Heijenga 2012-05-06 17:57:57 UTC
with Linux fc1664 3.3.4-3.fc16.x86_64 not changing!
still no DVB-S

Comment 2 Mauro Carvalho Chehab 2012-05-07 17:45:24 UTC
Created attachment 582751 [details]
Fix DVB-S sigzag

Could you please check if the attached patch fixes the issue?

Comment 3 Mauro Carvalho Chehab 2012-05-07 17:53:09 UTC
(In reply to comment #2)
> Created attachment 582751 [details]
> Fix DVB-S sigzag
> 
> Could you please check if the attached patch fixes the issue?

Koji build with the fixup:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=4060823

Please test.

Comment 4 Michael Heijenga 2012-05-07 20:20:34 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > Created attachment 582751 [details]
> > Fix DVB-S sigzag
> > 
> > Could you please check if the attached patch fixes the issue?
> 
> Koji build with the fixup:
>     http://koji.fedoraproject.org/koji/taskinfo?taskID=4060823
> 
> Please test.

Works great! All fine again!
Thank you for doing this fix!

Michael

Comment 5 Fedora Update System 2012-05-08 16:56:57 UTC
kernel-3.3.5-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.3.5-2.fc16

Comment 6 Fedora Update System 2012-05-08 16:57:20 UTC
kernel-2.6.43.5-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.43.5-2.fc15

Comment 7 Fedora Update System 2012-05-08 16:57:33 UTC
kernel-3.3.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.3.5-2.fc17

Comment 8 Fedora Update System 2012-05-10 14:30:05 UTC
Package kernel-3.3.5-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.3.5-2.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7538/kernel-3.3.5-2.fc16
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2012-05-13 01:50:07 UTC
kernel-3.3.5-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-05-15 23:23:09 UTC
kernel-2.6.43.5-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2012-05-17 13:47:16 UTC
kernel-3.3.6-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.3.6-3.fc17

Comment 12 Fedora Update System 2012-05-26 08:08:04 UTC
kernel-3.3.6-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.